### Function

# Foundry host_file_get_contents_bytes

#### Declaration [src]

    DexFuture*
    foundry_host_file_get_contents_bytes (
      const char* path
    )

#### Description

No description available.

#### Parameters

`path`

  Type: `const char*`

  A path to a file on the host.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GBytes` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.